<div id="barraUser">
    <h4 style="padding: 0px; margin: 0px">{{ usuario?.user }}</h4>
    <button (click)="sair()" class="btn btn-dark" id="btnSair">Sair</button>
</div>
<snack-bar *ngIf="errMsg" [texto]="errMsg"></snack-bar>
<div id="conteiner">
    <div id="cabecalho">
        <h3>Cadastro de despesas e receitas</h3>
    </div>
    <div id="form">
        <label >Descrição</label>
        <input type="text" placeholder="insira uma descrição" class="bg-dark" [(ngModel)]="model.description"> 
        <div id="linha">
            <label style="width: 50%;">Valor
                <br>
                <input type="number" placeholder="qual o valor?" class="bg-dark" style="margin-right: 3px;" [(ngModel)]="model.value">
            </label>
            <label style="width: 50%;">Data
                <br>
                <input type="date" class="bg-dark" [(ngModel)]="model.date">
            </label>
        </div>
        <label>Categoria</label>
        <select required class="bg-dark" [(ngModel)]="model.tag">
            <option value="undefined" disabled selected hidden>escolha a categoria . . .</option>
            <option value="null"></option>
            <option *ngFor="let c of categs; let i = index" value="{{ i }}">{{ c }}</option>
        </select>
    </div>
    <div id="botoes">
        <button (click)="relat()" class="btn btn-dark" id="btnRel">Relatório</button>
        <button (click)="salvar()" class="btn btn-dark">Salvar</button>
        <button (click)="limpar()" class="btn btn-dark">Limpar</button>
    </div>
</div>

